#include <bits/stdc++.h>
#include "partition.h"
#define endl '\n'

using namespace std;

const int MAXN = 20;

int n, ans;
bool used[MAXN + 5];
vector<int>otg;
pair<int,int> a[MAXN + 5];


std::vector<int> solve(std::vector<int> A)
{
    n = A.size();
    otg.clear();

    for(int i = 0; i < A.size(); i++)
    {
        a[i] = {A[i], i};
    }

    sort(a, a + n);

    vector<int>v1, v2;

    for(int i = 0; i < n; i++)
    {
        if(i % 2 == 0)
        {
            v1.push_back(a[i].second);
        }
        else v2.push_back(a[i].second);
    }

    for(auto i: v1)otg.push_back(i);
    for(auto i: v2)otg.push_back(i);


    return otg;
}
